# VariousClass

class VariousClass (names: String )

A class that can load various classes by their names.

#### Parameters

names

the names of the classes to be loaded.

## Constructors

VariousClass
Link copied to clipboard
constructor(vararg names: String )

## Functions

load
Link copied to clipboard
@ JvmOverloads
fun load (loader: ClassLoader ? = null, initialize: Boolean = false): Class < Any >
@ JvmOverloads
@ JvmName (name = "loadTyped")
fun < T : Any > load (loader: ClassLoader ? = null, initialize: Boolean = false): Class < T >

Load the first class that matches the given names using the specified ClassLoader.

loadOrNull
Link copied to clipboard
@ JvmOverloads
fun loadOrNull (loader: ClassLoader ? = null, initialize: Boolean = false): Class < Any >?
@ JvmOverloads
@ JvmName (name = "loadOrNullTyped")
fun < T : Any > loadOrNull (loader: ClassLoader ? = null, initialize: Boolean = false): Class < T >?

Load the first class that matches the given names using the specified ClassLoader.